Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 292315 - media-sound/abcde-2.3.99.7_p235 does not tag m4a/aac files
Summary: media-sound/abcde-2.3.99.7_p235 does not tag m4a/aac files
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Steve Dibb (RETIRED)
URL: http://code.google.com/p/abcde/issues...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-07 22:03 UTC by Scott
Modified: 2010-04-24 17:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
A patch that causes abcde to tag the m4a files. (abcde.patch,622 bytes, patch)
2009-11-07 22:06 UTC, Scott
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Scott 2009-11-07 22:03:38 UTC
When encoding to aac, with tag as one of the actions, it does not tag the m4a files.

Reproducible: Always

Steps to Reproduce:
1. enable aac encoding in .abcde.conf
2. leave actions as default, or explicitly include tag in the actions
3. Insert a cd
4. run abcde

Actual Results:  
The m4a files are not tagged.

Expected Results:  
They should have the same tagged information as ogg/mp3/etc.



emerge --info:

Portage 2.1.6.13 (default/linux/amd64/2008.0, gcc-4.1.2, glibc-2.9_p20081201-r2, 2.6.29-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.29-gentoo-r5-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-1.12.11.1
Timestamp of tree: Sat, 03 Oct 2009 14:45:01 +0000
app-shells/bash:     4.0_p28
dev-lang/python:     2.4.6, 2.5.4-r3, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.ussg.iu.edu/pub/linux/gentoo ftp://lug.mtu.edu/gentoo/"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X aac acl alsa amd64 apache2 berkdb bzip2 cddb cdparanoia cdr cli cracklib crypt cups dri dts dvd dvdr encode fastcgi firefox flac fortran ftp gdbm gif gpm hardened iconv ipv6 isdnlog jpeg jpeg2k lirc midi mmx modules mp3 mudflap multilib mysql mysqli ncurses nls nptl nptlonly ogg opengl openmp pam pcre perl php png pppd python readline reflection ruby session smp spl sqlite sqlite3 sse sse2 ssl subversion sysfs tcpd unicode vorbis webinterface xine xml xmlrpc xorg xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Scott 2009-11-07 22:06:34 UTC
Created attachment 209580 [details, diff]
A patch that causes abcde to tag the m4a files.

I managed to get it working; here is the diff between the original abcde installed by portage, and the updated one.
Comment 2 Scott 2009-11-07 22:10:23 UTC
I just noticed that there was an additional change in the attached diff: I switched the faac --tracks option to get "$1/$TRACKS" instead of $1.
Comment 3 Steve Dibb (RETIRED) gentoo-dev 2010-01-28 15:05:52 UTC
Fixed in abcde-2.3.99.7_p235-r3.ebuild

Thanks!
Comment 4 Samuli Suominen gentoo-dev 2010-04-24 17:09:19 UTC
Posted here: http://code.google.com/p/abcde/issues/detail?id=31